'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgTrack = function SvgTrack(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Track_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M40.035 76.412A36.412 36.412 0 1 1 68.49 17.306l-7.393 5.601a27.128 27.128 0 1 0-21.047 44.22 27.8 27.8 0 0 0 5.95-.649l-.349-1.587a25.55 25.55 0 1 1 14.143-41.016l-8.317 6.35a15.057 15.057 0 1 0-12.745 24.841l.125-1.587a13.518 13.518 0 1 1 6.745-25.765 13.3 13.3 0 0 1 4.572 3.43l-10.917 8.272.953 1.268 35.788-27.112-.948-1.268-5.317 4.033A38 38 0 1 0 40.02 78a37.6 37.6 0 0 0 17.268-4.144l-.764-1.412a35.8 35.8 0 0 1-16.489 3.968m15.206-31.745a3.364 3.364 0 1 0 3.125 2.082 3.5 3.5 0 0 0-.728-1.103 3.4 3.4 0 0 0-2.397-.998zM68.78 49.75a3.379 3.379 0 0 0-.66 6.694c.655.13 1.335.065 1.953-.189a3.44 3.44 0 0 0 1.497-1.248 3.4 3.4 0 0 0 .315-3.175 3.3 3.3 0 0 0-.729-1.103 3.5 3.5 0 0 0-1.098-.739 3.4 3.4 0 0 0-1.298-.26zm2.111-13.114a3.374 3.374 0 0 0-4.033-3.33 3.37 3.37 0 0 0-1.732.919A3.376 3.376 0 0 0 67.502 40c.445 0 .886-.086 1.298-.255a3.4 3.4 0 0 0 2.087-3.125z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Track_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgTrack;
